Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002946Zandronum[All Projects] Bugpublic2016-12-07 10:082024-02-11 17:55
ReporterWaTaKiD 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Statusneeds testingResolutionreopened 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.2Fixed in Version 
Summary0002946: [Hexen] DestroyPillar: Couldn't find pillar with ID
Descriptionfound with changeset c9e3038 and cl_showwarnings 1
Steps To Reproducehost hexen server on map01 and sv_nomonsters 1
connect, join, warp -1431 -540
grab the silver key to your left and wait a few seconds
client_DestroyPillar: Couldn't find pillar with ID: 2!
Attached Filesdiff file icon pillarfix.diff [^] (2,393 bytes) 2024-01-18 06:36 [Show Content]

- Relationships
child of 0002561closedDusk CLIENT_WARNING_MESSAGES 

-  Notes
User avatar (0016813)
Decay (reporter)
2017-02-07 16:17

I tested to see if this was a persisting issue. Following the steps, I did not get
client_DestroyPillar: Couldn't find pillar with ID: 2! but instead i got

client_DestroyPillar: Couldn't find pillar with ID: 1!
client_DestroyPillar: Couldn't find pillar with ID: 0!

Proofs
'http://i.imgur.com/0KsMkDS.png [^]'
User avatar (0017008)
Torr Samaho (administrator)
2017-03-19 11:26

FYI, the pillar IDs are generated on the fly and depend on the order in which the pillars are activated. That's likely why the IDs differ here.
User avatar (0022967)
Ru5tK1ng (updater)
2024-01-02 05:51

Followed steps with r231220 and did not encounter any pillar messages.
User avatar (0022979)
Ru5tK1ng (updater)
2024-01-09 04:50
edited on: 2024-01-09 04:51

Actually with further testing with other things, this is still an issue. This also has nothing to do with 2667 so the relationship will be removed.

User avatar (0022993)
Ru5tK1ng (updater)
2024-01-18 06:37

I have uploaded a patch that fixes the clients trying to destroy some pillars twice which caused the error messages to come and go over time.
User avatar (0023058)
Ru5tK1ng (updater)
2024-02-05 16:10

Merge Request:'https://foss.heptapod.net/zandronum/zandronum-stable/-/merge_requests/21 [^]'
User avatar (0023070)
Kaminsky (developer)
2024-02-11 17:55

'https://foss.heptapod.net/zandronum/zandronum-stable/-/commit/2739569349fbb626e214bc0c74b5ec38ca389131 [^]'

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-12-07 10:08 WaTaKiD New Issue
2016-12-07 10:08 WaTaKiD Relationship added child of 0002561
2016-12-24 22:41 Dusk Target Version => 3.0
2017-02-07 16:17 Decay Note Added: 0016813
2017-02-07 18:56 Dusk Target Version 3.0 =>
2017-03-19 11:26 Torr Samaho Note Added: 0017008
2024-01-02 05:50 Ru5tK1ng Relationship added child of 0002667
2024-01-02 05:51 Ru5tK1ng Note Added: 0022967
2024-01-02 05:51 Ru5tK1ng Status new => resolved
2024-01-02 05:51 Ru5tK1ng Resolution open => fixed
2024-01-02 05:51 Ru5tK1ng Fixed in Version => 3.2
2024-01-02 05:51 Ru5tK1ng Target Version => 3.2
2024-01-09 04:50 Ru5tK1ng Note Added: 0022979
2024-01-09 04:50 Ru5tK1ng Status resolved => feedback
2024-01-09 04:50 Ru5tK1ng Resolution fixed => reopened
2024-01-09 04:50 Ru5tK1ng Status feedback => confirmed
2024-01-09 04:50 Ru5tK1ng Fixed in Version 3.2 =>
2024-01-09 04:50 Ru5tK1ng Target Version 3.2 =>
2024-01-09 04:51 Ru5tK1ng Note Edited: 0022979 View Revisions
2024-01-09 04:51 Ru5tK1ng Relationship deleted child of 0002667
2024-01-18 06:32 Ru5tK1ng Target Version => 3.2
2024-01-18 06:32 Ru5tK1ng Summary client_DestroyPillar: Couldn't find pillar with ID => [Hexen] DestroyPillar: Couldn't find pillar with ID
2024-01-18 06:36 Ru5tK1ng File Added: pillarfix.diff
2024-01-18 06:37 Ru5tK1ng Note Added: 0022993
2024-01-18 06:37 Ru5tK1ng Status confirmed => needs review
2024-02-05 16:10 Ru5tK1ng Note Added: 0023058
2024-02-11 17:55 Kaminsky Note Added: 0023070
2024-02-11 17:55 Kaminsky Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2024 MantisBT Team
Powered by Mantis Bugtracker